Forum Clubic

Problème avec eclipse

Bonjours

voilà je veux créer un launcher pour le jeux minecraft
Pour le créer j’ai besoin de éclipse sauf qu’a la fin je dois faire Run As—> Maven Build… et dans goals je dois marquer Package puis je clique sur RUN et après execution, à la fin j’ai des erreurs et mon fichier ne c’est pas créer dans le dossier
Merci d’avance pour vos réponse

Voici ce que ça me marquer “tout y est”:

[code]SLF4J: Failed to load class “org.slf4j.impl.StaticLoggerBinder”.
SLF4J: Defaulting to no-operation (NOP) logger implementation
SLF4J: See www.slf4j.org… for further details.
[INFO] Scanning for projects…
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building minecraft-launcher 1.0.1
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] — maven-resources-plugin:2.5:resources (default-resources) @ minecraft-launcher —
[debug] execute contextualize
[WARNING] Using platform encoding (Cp1252 actually) to copy filtered resources, i.e. build is platform dependent!
[INFO] Copying 3 resources
[INFO]
[INFO] — maven-compiler-plugin:2.3.2:compile (default-compile) @ minecraft-launcher —
[INFO] Nothing to compile - all classes are up to date
[INFO]
[INFO] — maven-resources-plugin:2.5:testResources (default-testResources) @ minecraft-launcher —
[debug] execute contextualize
[WARNING] Using platform encoding (Cp1252 actually) to copy filtered resources, i.e. build is platform dependent!
[INFO] skip non existing resourceDirectory C:UsersAlexDesktopyoutube1.7.2 crackminecraft-launchersrctestresources
[INFO]
[INFO] — maven-compiler-plugin:2.3.2:testCompile (default-testCompile) @ minecraft-launcher —
[INFO] No sources to compile
[INFO]
[INFO] — maven-surefire-plugin:2.10:test (default-test) @ minecraft-launcher —
[INFO] Surefire report directory: C:UsersAlexDesktopyoutube1.7.2 crackminecraft-launchertargetsurefire-reports


T E S T S

Results :

Tests run: 0, Failures: 0, Errors: 0, Skipped: 0

[INFO]
[INFO] — maven-jar-plugin:2.3.2:jar (default-jar) @ minecraft-launcher —
[INFO]
[INFO] — maven-assembly-plugin:2.2-beta-5:single (default) @ minecraft-launcher —
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 8.645s
[INFO] Finished at: Mon Jun 16 09:51:16 CEST 2014
[INFO] Final Memory: 7M/18M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-5:single (default) on project minecraft-launcher: Execution default of goal org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-5:single failed: A required class was missing while executing org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-5:single: org/codehaus/plexus/util/IOUtil
[ERROR] -----------------------------------------------------
[ERROR] realm = plugin>org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-5
[ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
[ERROR] urls[0] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/plugins/maven-assembly-plugin/2.2-beta-5/maven-assembly-plugin-2.2-beta-5.jar
[ERROR] urls[1] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/shared/maven-common-artifact-filters/1.1/maven-common-artifact-filters-1.1.jar
[ERROR] urls[2] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/shared/maven-plugin-testing-harness/1.1/maven-plugin-testing-harness-1.1.jar
[ERROR] urls[3] = file:/C:/Users/Alex/.m2/repository/org/codehaus/plexus/plexus-interpolation/1.7/plexus-interpolation-1.7.jar
[ERROR] urls[4] = file:/C:/Users/Alex/.m2/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-12/plexus-archiver-1.0-alpha-12.jar
[ERROR] urls[5] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/shared/file-management/1.1/file-management-1.1.jar
[ERROR] urls[6] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.jar
[ERROR] urls[7] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/shared/maven-filtering/1.0-beta-2/maven-filtering-1.0-beta-2.jar
[ERROR] urls[8] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.jar
[ERROR] urls[9] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.jar
[ERROR] urls[10] = file:/C:/Users/Alex/.m2/repository/commons-cli/commons-cli/1.0/commons-cli-1.0.jar
[ERROR] urls[11] = file:/C:/Users/Alex/.m2/repository/org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.jar
[ERROR] urls[12] = file:/C:/Users/Alex/.m2/repository/org/codehaus/plexus/plexus-active-collections/1.0-beta-2/plexus-active-collections-1.0-beta-2.jar
[ERROR] urls[13] = file:/C:/Users/Alex/.m2/repository/org/codehaus/plexus/plexus-io/1.0-alpha-4/plexus-io-1.0-alpha-4.jar
[ERROR] urls[14] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/maven-archiver/2.4/maven-archiver-2.4.jar
[ERROR] urls[15] = file:/C:/Users/Alex/.m2/repository/junit/junit/3.8.1/junit-3.8.1.jar
[ERROR] urls[16] = file:/C:/Users/Alex/.m2/repository/org/codehaus/plexus/plexus-utils/2.0.1/plexus-utils-2.0.1.jar
[ERROR] urls[17] = file:/C:/Users/Alex/.m2/repository/org/apache/maven/shared/maven-repository-builder/1.0-alpha-2/maven-repository-builder-1.0-alpha-2.jar
[ERROR] Number of foreign imports: 1
[ERROR] import: Entry[import from realm ClassRealm[maven.api, parent: null]]
[ERROR]
[ERROR] -----------------------------------------------------: org.codehaus.plexus.util.IOUtil
[ERROR] -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] cwiki.apache.org…

Il te manque plexus-utils ?
Vérifies si tu es en Java 1.6 et fais un Run as Maven Build, et remplace “package” par “clean package”.

Je sais comment qu’il me manque plexus-utils et je suis déjà en java 1.6